package entity;

import lombok.Data;

/**
 * Rtu通道的父类
 *
 * @author: xiuwei
 * @version:
 */
@Data
public class BaseRtuTunnelInfo<T> extends BaseTunnelInfo<T> {

	/**
	 * 串口名称
	 */
	private String serialName;
	/**
	 * 波特率
	 */
	private Integer baudRate;


	/**
	 * 数据位 5,6,7,8
	 */
	private Integer dataBits;

	/**
	 * 停止位  1 2  3(1.5)
	 */
	private Integer stopBits;

	/**
	 * 奇偶校验
	 * PARITY_NONE = 0  无校验;
	 * PARITY_ODD = 1  奇校验;
	 * PARITY_EVEN = 2  偶校验;
	 * PARITY_MARK = 3  0校验;
	 * PARITY_SPACE = 4  1校验;
	 */
	private Integer parity;

}
