package entity.datapoint;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 配置项的点位
 *
 * @author: xiuwei
 * @version:
 */
@Setter
@Getter
@TableName(value = "CONFIG_DATA_POINT", resultMap = "ConfigDataPointWithEA")
public class ConfigDataPoint extends BaseDataPoint {


    /**
     * 数值默认值
     */
    private BigDecimal defaultValue;

    public ConfigDataPoint() {
        this.dataPointType = DataPointType.CONFIG;
    }


}
