package slavertunnelinfo;


import com.baomidou.mybatisplus.annotation.TableName;
import entity.BaseRtuTunnelInfo;
import entity.datapoint.SenderDataPoint;
import enums.TunnelType;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * cdt协议rtu发送数据通道信息
 *
 * @author 修唯xiuwei
 * @version 3.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName(value = "RTU_TUNNEL_INFO")
public class SlaverCdtRtuTunnelInfo extends BaseRtuTunnelInfo<SenderDataPoint> {

	/**
	 * 初始化时确定通道类型
	 */
	public SlaverCdtRtuTunnelInfo() {
		this.setTunnelType(TunnelType.CDTRTUSLAVE);
	}


}
