package slavertunnelinfo;



import entity.BaseRtuTunnelInfo;
import entity.datapoint.SenderDataPoint;
import enums.TunnelType;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * modbus协议rtu发送数据通道信息
 *
 * @author 修唯xiuwei
 * @version 3.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
//@TableName(value = "RTU_TUNNEL_INFO")
public class SlaverModbusRtuTunnelInfo extends BaseRtuTunnelInfo<SenderDataPoint> {


    /**
     * 设备地址
     */
    private Integer slaveId;

    /**
     * 初始化时确定通道类型
     */
    public SlaverModbusRtuTunnelInfo() {
        this.setTunnelType(TunnelType.MODBUSRTUSLAVE);
    }


}
