package entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 状态数据表
 *
 * @author: xiuwei
 * @version:
 */
@Data
public class BaseRealtimeData implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    Integer id;

    /**
     * 设备ID
     */
    Integer equipmentNo;

    /**
     * 时间
     */
    Date time;

    /**
     * 备用字段1
     */
    BigDecimal data1;
    /**
     * 备用字段2
     */
    BigDecimal data2;
    /**
     * 备用字段3
     */
    BigDecimal data3;
    /**
     * 备用字段4
     */
    BigDecimal data4;
    /**
     * 备用字段5
     */
    BigDecimal data5;
    /**
     * 备用字段6
     */
    BigDecimal data6;
    /**
     * 备用字段7
     */
    BigDecimal data7;
    /**
     * 备用字段8
     */
    BigDecimal data8;
    /**
     * 备用字段9
     */
    BigDecimal data9;
    /**
     * 备用字段10
     */
    BigDecimal data10;

}
