package entity;


import entity.datapoint.GatherDataPoint;
import lombok.Data;

/**
 * TCP Master的抽象实体
 *
 * @author: xiuwei
 * @version:
 */
@Data
public class BaseTcpMasterTunnelInfo extends BaseTunnelInfo<GatherDataPoint> {
	/**
	 * 远端ip
	 */
	private String remoteIp;

	/**
	 * 远端端口
	 */
	private Integer remotePort;

	/**
	 * 远端备用ip
	 */
	private String remoteSpareIp;

	/**
	 * 远端备用端口
	 */
	private Integer remoteSparePort;

	/**
	 * 自身的ip
	 */
	private String selfIp;

	/**
	 * 自身的端口
	 */
	private Integer selfPort;

}
