package entity.datapoint;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 采集点表
 *
 * @author: xiuwei
 * @version:
 */
@Getter
@Setter
@TableName(value = "GATHER_DATA_POINT", resultMap = "GatherDataPointWithEA")
public class GatherDataPoint extends BaseDataPoint {

    /**
     * 功能码
     */
    Integer functionCode;


    /**
     * 倍率
     */
    private BigDecimal ratio;


    /**
     * 所属通道
     */
    private String tunnelId;


    /**
     * 通道点位
     */
    private Integer protocolPoint;

    public GatherDataPoint() {
        this.dataPointType = DataPointType.GATHER;
    }


}
