package exception;

/**
 * 数据交互模块的异常
 *
 * @author: xiuwei
 * @version:
 */
public class DataExchangeException extends Exception {

    final Integer code;
    final String msg;

    public DataExchangeException(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public DataExchangeException(String msg) {
        this.code = 0;
        this.msg = msg;
    }
}
