package mastertunnelinfo;



import entity.BaseRtuTunnelInfo;
import entity.datapoint.GatherDataPoint;
import enums.TunnelType;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * cdt协议rtu通道信息
 *
 * @author 修唯xiuwei
 * @version 3.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
//@TableName(value = "RTU_TUNNEL_INFO")
public class MasterCdtRtuTunnelInfo extends BaseRtuTunnelInfo<GatherDataPoint> {


	/**
	 * 初始化时确定通道类型
	 */
	public MasterCdtRtuTunnelInfo() {
		this.setTunnelType(TunnelType.CDTRTUMASTER);
	}


}
