package slavertunnelinfo;


import com.baomidou.mybatisplus.annotation.TableName;

import entity.BaseTcpSlaverTunnelInfo;
import enums.TunnelType;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 104协议tcp发送数据通道信息
 *
 * @author 修唯xiuwei
 * @version 3.0
 */
@TableName(value = "TCP_SLAVER_TUNNEL_INFO")
@EqualsAndHashCode(callSuper = true)
@Data
public class Slaver104TcpTunnelInfo extends BaseTcpSlaverTunnelInfo {


	/**
	 * 初始化时确定通道类型
	 */
	public Slaver104TcpTunnelInfo() {
		this.setTunnelType(TunnelType.IEC104TCPSLAVE);
	}


	/**
	 * 公共地址位
	 */
	private Integer publicAddress;


}
